<?php
session_start();
include "verifica.php";
include "conexion.php";


@$zprd_codi_fk = $_REQUEST['zprd_codi_fk'];
@$xcodigo_proveedor_1 = $_REQUEST['xcodigo_proveedor_1'];
@$xcodigo_proveedor_2 = $_REQUEST['xcodigo_proveedor_2'];
@$xcodigo_proveedor_3 = $_REQUEST['xcodigo_proveedor_3'];
@$xcodigo_proveedor_4 = $_REQUEST['xcodigo_proveedor_4'];
@$xcodigo_proveedor_5 = $_REQUEST['xcodigo_proveedor_5'];
@$xcodigo_proveedor_6 = $_REQUEST['xcodigo_proveedor_6'];
@$xcodigo_proveedor_7 = $_REQUEST['xcodigo_proveedor_7'];
@$xcodigo_proveedor_8 = $_REQUEST['xcodigo_proveedor_8'];
@$xcodigo_proveedor_9 = $_REQUEST['xcodigo_proveedor_9'];
@$xcodigo_proveedor_10 = $_REQUEST['xcodigo_proveedor_10'];

$r = mysqli_query($conexion,"SELECT * FROM productos_codigos_proveedor p WHERE prd_codi_fk = $zprd_codi_fk;");

if(mysqli_num_rows($r) <= 0){
	
	$rn = mysqli_query($conexion,"INSERT INTO productos_codigos_proveedor (prd_codi_fk) VALUES ($zprd_codi_fk);");
	
	if($rn){
		$retorno = actualizar_codigos($conexion, $zprd_codi_fk, $xcodigo_proveedor_1, $xcodigo_proveedor_2, $xcodigo_proveedor_3, $xcodigo_proveedor_4, $xcodigo_proveedor_5, $xcodigo_proveedor_6, $xcodigo_proveedor_7, $xcodigo_proveedor_8, $xcodigo_proveedor_9, $xcodigo_proveedor_10);
		
		if($retorno == 1){
			?>
			<script language="javascript">
			parent.parent.cerrar_buscar_codigo_proveedor();			
			</script>		
			<?php		
		}		
	}
	
}else{

		$retorno = actualizar_codigos($conexion, $zprd_codi_fk, $xcodigo_proveedor_1, $xcodigo_proveedor_2, $xcodigo_proveedor_3, $xcodigo_proveedor_4, $xcodigo_proveedor_5, $xcodigo_proveedor_6, $xcodigo_proveedor_7, $xcodigo_proveedor_8, $xcodigo_proveedor_9, $xcodigo_proveedor_10);
		
		if($retorno == 1){
			?>
			<script language="javascript">
			parent.parent.cerrar_buscar_codigo_proveedor();			
			</script>		
			<?php		
		}		
}


function actualizar_codigos($conexion, $zprd_codi_fk, $xcodigo_proveedor_1, $xcodigo_proveedor_2, $xcodigo_proveedor_3, $xcodigo_proveedor_4, $xcodigo_proveedor_5, $xcodigo_proveedor_6, $xcodigo_proveedor_7, $xcodigo_proveedor_8, $xcodigo_proveedor_9, $xcodigo_proveedor_10){	

	$rg = mysqli_query($conexion,"UPDATE productos_codigos_proveedor SET prdcod_codigo1 = '$xcodigo_proveedor_1',
																		prdcod_codigo2 = '$xcodigo_proveedor_2',
																		prdcod_codigo3 = '$xcodigo_proveedor_3',
																		prdcod_codigo4 = '$xcodigo_proveedor_4',
																		prdcod_codigo5 = '$xcodigo_proveedor_5',
																		prdcod_codigo6 = '$xcodigo_proveedor_6',
																		prdcod_codigo7 = '$xcodigo_proveedor_7',
																		prdcod_codigo8 = '$xcodigo_proveedor_8',
																		prdcod_codigo9 = '$xcodigo_proveedor_9',
																		prdcod_codigo10 = '$xcodigo_proveedor_10'
																where prd_codi_fk = $zprd_codi_fk;");
																	
	if($rg){		
		return 1;
	}	
}
	
?>